.single-member {
	position: relative;
	display: block;
	
	cursor: pointer;
	isolation: isolate;
}
.single-member:before {
	content: '';
	display: block;
	padding-top: 120%;
}

.single-member > section {
	position: absolute; top: 0; left: 0;
	height: 100%; width: 100%;
	
	border-radius: 30px;
}

/*---------------------------------------------------------------*/

.single-member > .handle {
	position: absolute; top: 20px; right: 20px; z-index: 3;
	display: block; height: 50px; width: 50px; overflow: hidden;
	
	background-color: #1C3558; transition: background-color .4s ease-out;
	border-radius: 50%;
	
	pointer-events: none;
}
.single-member:hover > .handle { background-color: #5E6E85; }

.single-member > .handle:after {
	content: '';
	position: absolute; top: 0; right: 0; transform: rotate(45deg);
	display: block; height: 100%; width: 100%;
	
	background-color: #FFF;
	
	--mask-image: url("../../images/icons/close.svg");
	--mask-position: center;
	--mask-origin: content-box;
	--mask-size: 50%;
	--mask-repeat: no-repeat;
	
	-webkit-mask-image: var(--mask-image);
	mask-image: var(--mask-image);
	-webkit-mask-position: var(--mask-position);
	mask-position: var(--mask-position);
	-webkit-mask-origin: var(--mask-origin);
	mask-origin: var(--mask-origin);
	-webkit-mask-size: var(--mask-size);
	mask-size: var(--mask-size);
	-webkit-mask-repeat: var(--mask-repeat);
	mask-repeat: var(--mask-repeat);
	
	transition: transform .4s ease-out;
}
.single-member:hover > .handle:after { transform: rotate(0deg); }

/*---------------------------------------------------------------*/

.single-member > .front {
	z-index: 2;
	display: flex; overflow: hidden;
	flex-direction: column;
	justify-content: flex-end;
	align-items: flex-start;
	padding: 25px;
	
	transition: opacity .4s ease-out;
	
	isolation: isolate;
	pointer-events: none;
}
.single-member:hover > .front { opacity: 0; }
.single-member > .front > .team {
	position: absolute; top: 20px; left: 20px;
	display: flex; max-width: calc(100% - 110px); height: 25px;
	justify-content: center;
	align-items: center;
	row-gap: 5px;
	padding: 0 15px;
	
	background-color: #FCFFAA;
	border-radius: 25px;
	
	text-align: center;
	line-height: 100%;
	font-size: 13px;
	font-weight: 500;
	color: #000;
}
.single-member > .front > .team > span {
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}
.single-member > .front > .photo {
	position: absolute; top: 0; left: 0; z-index: -1;
	height: 100%; width: 100%;
}
.single-member > .front > .photo img { object-position: top center; }
.single-member > .front > .photo:after {
	content: '';
	position: absolute; top: 0; left: 0;
	display: block; height: 100%; width: 100%;
	
	background-image: linear-gradient(to top, rgba(0,0,0,.4), transparent 75%);
	
	pointer-events: none;
}
.single-member > .front > .name {
	margin: 0;
	
	font-size: 32px;
	font-weight: 600;
}
.single-member > .front > .name::first-letter { font-family: 'Pixelify Sans'; }
.single-member > .front > .job {
	margin: 5px 0 0;
	
	font-size: 13px;
	font-weight: 500;
}

/*---------------------------------------------------------------*/

.single-member > .back {
	z-index: 1;
	background-color: #364A67;
}
.single-member:hover > .back:after { opacity: 1; }
.single-member > .back > * {
	position: absolute;
	overflow: hidden;
}
.single-member > .back > .avatar {
	top: 20px; left: 20px;
	height: 50px; width: 50px;
	
	border-radius: 50%;
}
.single-member > .back > .content {
	top: 100px; left: 0;
	height: calc(100% - 100px); width: 100%; overflow: auto;
	padding: 25px;
	
	--mask-image: linear-gradient(to bottom, transparent 0px, #000 25px, #000 calc(100% - 25px), transparent 100%);
	
	-webkit-mask-image: var(--mask-image);
	mask-image: var(--mask-image);
}
.single-member > .back > .content > .scrollable {
	display: flex; min-height: 100%;
	flex-direction: column;
	justify-content: center;
	padding-right: 20px;
}
.single-member > .back > .content > .scrollable > * { margin: 0; }
.single-member > .back > .content > .scrollable > .title {
	line-height: 24px;
	font-size: 18px;
	font-weight: 500;
}
.single-member > .back > .content > .scrollable > .response {
	line-height: 18px;
	font-size: 14px;
	color: #D5ED99;
}
.single-member > .back > .content > .scrollable > .response:not(:last-child) { margin-bottom: 10px; }